### Class

# Camel HTMLParser

#### Description

    class Camel.HTMLParser : GObject.Object
    {
      CamelHTMLParserPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_html_parser_new

Create a new CamelHTMLParser object.

#### Instance methods

###### camel_html_parser_attr

No description available.

###### camel_html_parser_attr_list

Provides parsed array of values and attributes. Both arrays are owned by the `hp`.

###### camel_html_parser_left

No description available.

###### camel_html_parser_set_data

No description available.

###### camel_html_parser_step

No description available.

###### camel_html_parser_tag

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelHTMLParserClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.